package com.zhilin.patrol.bean;

import java.io.Serializable;
import java.util.List;

/**
 * 巡查记录实体
 */
public class PatrolRecordEntity extends BaseEntity<List<PatrolRecordEntity.InfoListBean>> {

    public static class InfoListBean implements Serializable {


        /**
         * tkCode : tk001
         * address : 武汉市武昌区楚河汉街万达广场
         * subTime : 2018.06-04 12:30
         * taskType : -1
         * isQuestion : 1
         * isAssign : 1
         * imgs : ["http://www.huijiamao.cn/patrol/upfiles/upimg/demo.jpg","http://www.huijiamao.cn/patrol/upfiles/upimg/demo.jpg","http://www.huijiamao.cn/patrol/upfiles/upimg/demo.jpg","http://www.huijiamao.cn/patrol/upfiles/upimg/demo.jpg"]
         * passState : 0
         * reason : 照片模糊，请重新上传!
         */
        /** 上报记录唯一识别码 */
        private String planCode;
        /** 小区地址 */
        private  String pbCode;
        private String address;
        /** 上传时间 */
        private String subTime;
        /** 记录类型 */
        private int taskType;
        /** 是否是问题 */
        private int isQuestion;
        /** 是否是指派的任务 */
        private int isAssign;
        /** 审核状态 */
        private int passState;
        /** 备注 */
        private String reason;
        /** 不通过理由 */
        private String infoExt;
        /**  问题描述 */
        private String question;
        /** 图片数组 */
        private List<String> imgs;

        public String getPbCode() {
            return pbCode;
        }

        public void setPbCode(String pbCode) {
            this.pbCode = pbCode;
        }

        public String getQuestion() {
            return question;
        }

        public void setQuestion(String question) {
            this.question = question;
        }

        public String getInfoExt() {
            return infoExt;
        }

        public void setInfoExt(String infoExt) {
            this.infoExt = infoExt;
        }

        public String getPlanCode() {
            return planCode;
        }

        public void setPlanCode(String planCode) {
            this.planCode = planCode;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public String getSubTime() {
            return subTime;
        }

        public void setSubTime(String subTime) {
            this.subTime = subTime;
        }

        public int getTaskType() {
            return taskType;
        }

        public void setTaskType(int taskType) {
            this.taskType = taskType;
        }

        public int getIsQuestion() {
            return isQuestion;
        }

        public void setIsQuestion(int isQuestion) {
            this.isQuestion = isQuestion;
        }

        public int getIsAssign() {
            return isAssign;
        }

        public void setIsAssign(int isAssign) {
            this.isAssign = isAssign;
        }

        public int getPassState() {
            return passState;
        }

        public void setPassState(int passState) {
            this.passState = passState;
        }

        public String getReason() {
            return reason;
        }

        public void setReason(String reason) {
            this.reason = reason;
        }

        public List<String> getImgs() {
            return imgs;
        }

        public void setImgs(List<String> imgs) {
            this.imgs = imgs;
        }
    }
}
